<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="zh">
	<id>https://arolstar52-zhtest.hf.space/index.php?action=history&amp;feed=atom&amp;title=Template%3APie_chart_new%2Fstyles.css</id>
	<title>Template:Pie chart new/styles.css - 版本历史</title>
	<link rel="self" type="application/atom+xml" href="https://arolstar52-zhtest.hf.space/index.php?action=history&amp;feed=atom&amp;title=Template%3APie_chart_new%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="https://arolstar52-zhtest.hf.space/index.php?title=Template:Pie_chart_new/styles.css&amp;action=history"/>
	<updated>2026-07-15T05:21:43Z</updated>
	<subtitle>在这个wiki上该页的修订历史</subtitle>
	<generator>MediaWiki 1.43.9</generator>
	<entry>
		<id>https://arolstar52-zhtest.hf.space/index.php?title=Template:Pie_chart_new/styles.css&amp;diff=4661128&amp;oldid=prev</id>
		<title>imported&gt;Jimmy-bot：​机器人: Cat:保護狀態與保護標誌不符的頁面</title>
		<link rel="alternate" type="text/html" href="https://arolstar52-zhtest.hf.space/index.php?title=Template:Pie_chart_new/styles.css&amp;diff=4661128&amp;oldid=prev"/>
		<updated>2025-06-08T17:21:03Z</updated>

		<summary type="html">&lt;p&gt;机器人: &lt;a href=&quot;/index.php?title=Cat:%E4%BF%9D%E8%AD%B7%E7%8B%80%E6%85%8B%E8%88%87%E4%BF%9D%E8%AD%B7%E6%A8%99%E8%AA%8C%E4%B8%8D%E7%AC%A6%E7%9A%84%E9%A0%81%E9%9D%A2&amp;amp;action=edit&amp;amp;redlink=1&quot; class=&quot;new&quot; title=&quot;Cat:保護狀態與保護標誌不符的頁面（页面不存在）&quot;&gt;Cat:保護狀態與保護標誌不符的頁面&lt;/a&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;新页面&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/**  &lt;br /&gt;
	Smooth piechart.&lt;br /&gt;
	&lt;br /&gt;
	[[Module:Piechart]]&lt;br /&gt;
	&lt;br /&gt;
	Note! Mobile screen breakpoint is set to 640px for MediaWiki Mobile.&lt;br /&gt;
*/&lt;br /&gt;
/* base structure */&lt;br /&gt;
.smooth-pie {&lt;br /&gt;
	display: none;&lt;br /&gt;
	position: relative;&lt;br /&gt;
	width: 100px;&lt;br /&gt;
	height: 100px;&lt;br /&gt;
	border-radius: 50%;&lt;br /&gt;
	background-color: #333;&lt;br /&gt;
	color:black;&lt;br /&gt;
	border: 1px solid black;&lt;br /&gt;
}&lt;br /&gt;
/* slices (default = pie25/pieX) */&lt;br /&gt;
.smooth-pie div {&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	transform-origin: left bottom;&lt;br /&gt;
	background-color: #655;&lt;br /&gt;
	color:black;&lt;br /&gt;
&lt;br /&gt;
	top: 0; left: 50%;&lt;br /&gt;
	width: 50%; height: 50%;&lt;br /&gt;
	border-radius: 0 500% 0 0;&lt;br /&gt;
}&lt;br /&gt;
.smooth-pie div.pie50 {&lt;br /&gt;
	transform-origin: left center;&lt;br /&gt;
	height: 100%;&lt;br /&gt;
	border-radius: 0 100% 100% 0 / 50%;&lt;br /&gt;
}&lt;br /&gt;
.smooth-pie .pie12-5 {clip-path: polygon(0% 0%, 100% 0%, 0 100%);}&lt;br /&gt;
.smooth-pie    .pie5 {clip-path: polygon(0% 0%, 32.49197% 0%, 0 100%);}&lt;br /&gt;
.smooth-pie    .pie7 {clip-path: polygon(0% 0%, 47.056428% 0%, 0 100%);}&lt;br /&gt;
.smooth-pie    .pie1 {clip-path: polygon(0% 0%, 6.2914667% 0%, 0 100%);}&lt;br /&gt;
.smooth-pie div.smooth-pie-border {&lt;br /&gt;
	display: none;&lt;br /&gt;
}&lt;br /&gt;
/* Border around pie (on top of slices). *&lt;br /&gt;
.smooth-pie div.smooth-pie-border {&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	background-color: transparent;&lt;br /&gt;
	border: 1px solid black;&lt;br /&gt;
	top: 0; left: 0;&lt;br /&gt;
	width: 100%; height: 100%;&lt;br /&gt;
	border-radius: 50%;&lt;br /&gt;
	box-sizing: border-box;&lt;br /&gt;
	z-index: 20;&lt;br /&gt;
	pointer-events: none;&lt;br /&gt;
}&lt;br /&gt;
/* unlock for supported browsers */&lt;br /&gt;
@supports(clip-path: circle(50%)) {&lt;br /&gt;
	.smooth-pie {&lt;br /&gt;
		display:block;&lt;br /&gt;
	}	&lt;br /&gt;
}&lt;br /&gt;
/* container and legend */&lt;br /&gt;
.smooth-pie-container {&lt;br /&gt;
  display: flex;&lt;br /&gt;
  align-items: flex-start;&lt;br /&gt;
  gap: 1em;&lt;br /&gt;
  flex-wrap: wrap;&lt;br /&gt;
}&lt;br /&gt;
.smooth-pie-legend {&lt;br /&gt;
  list-style-type: none !important;&lt;br /&gt;
  margin: 0 !important;&lt;br /&gt;
  padding: 0 !important;&lt;br /&gt;
}&lt;br /&gt;
.smooth-pie-legend &amp;gt; li {&lt;br /&gt;
  display: flex;&lt;br /&gt;
  align-items: baseline;&lt;br /&gt;
  gap: .5em;&lt;br /&gt;
  margin: 0;&lt;br /&gt;
  margin-bottom: 0.1em;&lt;br /&gt;
}&lt;br /&gt;
.smooth-pie-legend &amp;gt; li &amp;gt; span {&lt;br /&gt;
  display: block;&lt;br /&gt;
  box-sizing: border-box;&lt;br /&gt;
}&lt;br /&gt;
.smooth-pie-legend &amp;gt; li &amp;gt; .l-color {&lt;br /&gt;
  border: 1px solid var(--color-base, black);&lt;br /&gt;
  width: .8em;&lt;br /&gt;
  height: .8em;&lt;br /&gt;
  flex-shrink: 0;&lt;br /&gt;
}&lt;br /&gt;
/* floating pie */&lt;br /&gt;
.pie-thumb .smooth-pie-container {&lt;br /&gt;
	padding: .5em;&lt;br /&gt;
	padding-bottom: 0;&lt;br /&gt;
	text-align: left;&lt;br /&gt;
}&lt;br /&gt;
.pie-thumb .smooth-pie-caption {&lt;br /&gt;
	margin-bottom: 1em;&lt;br /&gt;
	font-size: 94%;&lt;br /&gt;
}&lt;br /&gt;
/* Flow in a reverse column for thumbs (pie above the legend). */&lt;br /&gt;
.thumbinner &amp;gt; .smooth-pie-container {&lt;br /&gt;
	flex-direction: column-reverse;&lt;br /&gt;
}&lt;br /&gt;
/* Wide screen style for thumbs */&lt;br /&gt;
@media screen and (min-width: 641px) {&lt;br /&gt;
	.thumbinner &amp;gt; .smooth-pie-container {&lt;br /&gt;
		width: min-content;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@media print {&lt;br /&gt;
	/*&lt;br /&gt;
	  Avoid breaking up the chart.&lt;br /&gt;
	  &lt;br /&gt;
	  Otherwise if the pie chart crosses a page line, &lt;br /&gt;
	  the slices can end up e.g. squished to the bottom of the page.&lt;br /&gt;
	*/&lt;br /&gt;
	.smooth-pie-container {&lt;br /&gt;
		break-inside: avoid-page;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* &lt;br /&gt;
	Ex-thumb layout for small screen &lt;br /&gt;
	and adjustments for compatibility with MW&amp;#039;s Mobile Frontend (mw-mf).&lt;br /&gt;
*/&lt;br /&gt;
/* center the pie */&lt;br /&gt;
body.mw-mf .thumbinner .smooth-pie-container {&lt;br /&gt;
	align-items: center;&lt;br /&gt;
}&lt;br /&gt;
/* style roughly the same as figcaption on mobile */&lt;br /&gt;
body.mw-mf .thumbinner .smooth-pie-legend-container {&lt;br /&gt;
	font-size: 0.8125rem;&lt;br /&gt;
	line-height: 1.5;&lt;br /&gt;
	color: var(--color-subtle, #54595d);&lt;br /&gt;
}&lt;br /&gt;
/* specifically for thin screens (when thumbinner becomes 100% width) */&lt;br /&gt;
@media screen and (max-width: 640px) {&lt;br /&gt;
	.thumbinner .smooth-pie-legend {&lt;br /&gt;
		display: grid;&lt;br /&gt;
		grid-template-columns: repeat(auto-fill, minmax(190px, 1fr) ) ;&lt;br /&gt;
		gap: 0.3em;&lt;br /&gt;
	}&lt;br /&gt;
	.thumbinner .smooth-pie-footer {&lt;br /&gt;
		margin-top: .5em;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>imported&gt;Jimmy-bot</name></author>
	</entry>
</feed>